package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTaxRate;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTaxRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceTaxRateMapper {
    long countByExample(InvoiceTaxRateExample example);

    int deleteByExample(InvoiceTaxRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceTaxRate record);

    int insertSelective(InvoiceTaxRate record);

    List<InvoiceTaxRate> selectByExample(InvoiceTaxRateExample example);

    InvoiceTaxRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceTaxRate record, @Param("example") InvoiceTaxRateExample example);

    int updateByExample(@Param("record") InvoiceTaxRate record, @Param("example") InvoiceTaxRateExample example);

    int updateByPrimaryKeySelective(InvoiceTaxRate record);

    int updateByPrimaryKey(InvoiceTaxRate record);
}
